org.apache.commons.math3.optim.nonlinear.scalar.gradient

## Class NonLinearConjugateGradientOptimizer.BracketingStep

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.gradient.NonLinearConjugateGradientOptimizer.BracketingStep

- All Implemented Interfaces:
    OptimizationData
  Enclosing class:
    NonLinearConjugateGradientOptimizer

      public static class NonLinearConjugateGradientOptimizer.BracketingStep
      extends java.lang.Object
      implements OptimizationData

  The initial step is a factor with respect to the search direction (which itself is roughly related to the gradient of the function).
  It is used to find an interval that brackets the optimum in line search.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `initialStep` Initial step.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonLinearConjugateGradientOptimizer.BracketingStep(double step)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getBracketingStep()` Gets the initial step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initialStep

          private final double initialStep

      Initial step.

  - ### Constructor Detail

    - #### NonLinearConjugateGradientOptimizer.BracketingStep

          public NonLinearConjugateGradientOptimizer.BracketingStep(double step)

      Parameters:
        `step` - Initial step for the bracket search.

  - ### Method Detail

    - #### getBracketingStep

          public double getBracketingStep()

      Gets the initial step.
      Returns:
        the initial step.

Copyright (c) 2003-2013 Apache Software Foundation